LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 11-11-2016, 02:13 AM   #1
sattvakarma
LQ Newbie
 
Registered: Jan 2012
Distribution: Slackware
Posts: 27

Rep: Reputation: Disabled
calibre e-book software not working in slackware 14.2


Hello,

I just finished with a successful install of Slackware 14.2 64bit on my Lenovo R60 notebook...with guidance from the documentation at http://docs.slackware.com/

Continuing with the suggestions i configured my new system and am good to go with my new Slackware install!

To extend the software on my new system, i downloaded packages from Alien Bob's slackbuilds at http://www.slackware.com/~alien/slackbuilds/

Specifically, calibre and VLC.

VLC (http://www.slackware.com/~alien/slac..._64-1alien.txz) installed and is working just fine.

calibre (http://www.slackware.com/~alien/slac..._64-1alien.txz) installs but when i run it from the command line, i am getting the following error:

Quote:
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.

Reinstalling the application may fix this problem.
As suggested, i removed the application and did another install. Still i am getting the same error msg?

Assistance in understanding and solving this issue will be appreciated!

Regards,
Sattva
 
Old 11-11-2016, 02:37 AM   #2
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 3,889

Rep: Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920
sorry for the question, have you installed also all of the dependencies?
 
1 members found this post helpful.
Old 11-11-2016, 03:49 AM   #3
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 6,726

Rep: Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095Reputation: 4095
I think the dependency list fails to list one additional dependency of the qt5 package: the "libinput" package needs to be installed as well.
 
3 members found this post helpful.
Old 11-11-2016, 08:22 AM   #4
sattvakarma
LQ Newbie
 
Registered: Jan 2012
Distribution: Slackware
Posts: 27

Original Poster
Rep: Reputation: Disabled
Thank you!

Thank you very much ponce and Alien Bob!

I installed the dependencies and now calibre is working!

Note: While going about finding a solution, i followed the instructions at https://calibre-ebook.com/download_linux and got calibre working that way also.

Last edited by sattvakarma; 11-11-2016 at 08:27 AM. Reason: missing information
 
Old 11-11-2016, 07:19 PM   #5
dugan
LQ Guru
 
Registered: Nov 2003
Location: Canada
Distribution: Slackware
Posts: 7,710

Rep: Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991Reputation: 2991
You could alternatively use my SlackBuild, which just packages the binary installer, which includes all the needed dependencies.

https://github.com/duganchen/my_slac...bre.SlackBuild

I run it every time Calibre notifies me of a new version.
 
2 members found this post helpful.
Old 11-11-2016, 11:47 PM   #6
sattvakarma
LQ Newbie
 
Registered: Jan 2012
Distribution: Slackware
Posts: 27

Original Poster
Rep: Reputation: Disabled
Got it!

Thank you dugan!

I have written down your suggestion for handy reference.
 
Old 11-13-2016, 01:53 PM   #7
kjhambrick
Senior Member
 
Registered: Jul 2005
Location: Round Rock, TX
Distribution: Slackware64 14.2 + Multilib
Posts: 1,092

Rep: Reputation: 513Reputation: 513Reputation: 513Reputation: 513Reputation: 513Reputation: 513
Thank you Alien Bob !

Just now installed libinput-1.3.3 ; upgraded qt-5.7.0 and qt-webkit-5.7.0 and calibre-2.71.0 ...

Your calibre-2.71.0 Package is working beautifully on Slackware64 14.2 + Multilib.

-- kjh
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Calibre 2.53 eBook Manager Software Adds New Tool for Transforming Book Styling LXer Syndicated Linux News 0 03-12-2016 04:27 AM
LXer: Calibre 1.35 eBook Management Software Gets Better Book Editing and Spell Check Features LXer Syndicated Linux News 0 05-02-2014 12:01 PM
[SOLVED] Unable to edit book in Calibre 1.16.0 samac Slackware 4 12-22-2013 07:15 AM
LXer: Calibre - Really Good E-Book Management Tool for Linux LXer Syndicated Linux News 0 03-17-2011 06:20 PM
LXer: Calibre 0.6: Zusätzliche E-Book-Formate LXer Syndicated Linux News 0 07-28-2009 04:30 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:59 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration